<?php

/*************************************************************************
 * @Filename:XMOption.php
 * @Author: XenMax
 * @Date:   2017-12-05 10:53:15
 * @Last Modified by:   XenMax
 * @Last Modified time: 2017-12-05 14:07:42
 * XenMax All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenMax\HideLinkGuests\XF\Option;

class XMOption extends \XF\Option\AbstractOption
{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams)
	{
		$choices = [];
		foreach ($option->option_value AS $word)
		{
			$choices[] = [
				'url' 		=> filter_var($word, FILTER_VALIDATE_URL)?$word:'',
			];
		}

		return self::getTemplate('admin:option_template_xenmax_link', $option, $htmlParams, [
			'choices' => $choices,
			'nextCounter' => count($choices)
		]);
	}

	public static function verifyOption(array &$value)
	{
		$output = [];

		foreach ($value AS $word)
		{
			if (!isset($word['url']) || strval($word['url']) === '')
			{
				continue;
			}
			if (filter_var($word['url'], FILTER_VALIDATE_URL))
				{
					$output[] = strval($word['url']);
				}
			
		}

		$value = $output;

		return true;
	}

	 
}